Summary:   A freely licensed alternative to the GLUT library
Name:      freeglut
Version:   2.2.0
Release:   14
URL:       http://freeglut.sourceforge.net
Source0:   %{name}-%{version}.tar.gz
License:   MIT
Group:     System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires: /sbin/ldconfig
BuildRequires: pkgconfig
# We BuildRequires the gl.h header here, because any GL implementation will
# suffice, and there is no widespread accepted "standard" for a OpenGL
# virtual Provides.
BuildRequires: /usr/include/GL/gl.h
# FIXME: freeglut does not require glib itself, but something included with
# it presumeably does. Need to investigate further.
BuildRequires: glib-devel
# The virtual Provides below is present so that this freeglut package is a
# drop in binary replacement for "glut" which will satisfy rpm dependancies
# properly.  The Obsoletes tag is required in order for any pre-existing
# "glut" package to be removed and replaced with freeglut when upgrading to
# freeglut.  Note: This package will NOT co-exist with the glut package.
Provides: glut = 3.7
Obsoletes: glut <= 3.7

Requires(post,postun): /sbin/ldconfig

%description
freeglut is a completely open source alternative to the OpenGL Utility Toolkit
(GLUT) library with an OSI approved free software license. GLUT was originally
written by Mark Kilgard to support the sample programs in the second edition
OpenGL 'RedBook'. Since then, GLUT has been used in a wide variety of practical
applications because it is simple, universally available and highly portable.

freeglut allows the user to create and manage windows containing OpenGL
contexts on a wide range of platforms and also read the mouse, keyboard and
joystick functions.

%package devel
Summary: freeglut developmental libraries and header files
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Provides: glut-devel = 3.7
Obsoletes: glut-devel <= 3.7

%description devel
Developmental libraries and header files required for developing or compiling
software which links to the freeglut library, which is an open source
alternative to the popular GLUT library, with an OSI approved free software
license.

%prep
%setup -q

%build
%configure --x-libraries=/usr/X11R6/%{_lib} --enable-warnings
make CFLAGS="$RPM_OPT_FLAGS $(pkg-config --cflags glib) -L/usr/X11R6/%{_lib}"

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall 
/sbin/ldconfig -n %{_libdir}
chmod 644 doc/*.{html,png}
rm $RPM_BUILD_ROOT/%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README TODO doc/*.png doc/*.html
# don't include contents of doc/ directory as it is mostly obsolete
%{_libdir}/libglut*.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/GL/*.h
%{_libdir}/libglut*.a
#%{_libdir}/libglut*.la
%{_libdir}/libglut.so

%changelog
* Sat Aug 14 2004 Mike A. Harris <mharris@redhat.com> 2.2.0-14
- Add post and postun scripts that call ldconfig (#128413)

* Fri Jun 18 2004 Mike A. Harris <mharris@redhat.com> 2.2.0-13
- Rebuilt with gcc 3.4 for FC3 development

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com> 2.2.0-12
- rebuilt

* Thu Mar 18 2004 Mike A. Harris <mharris@redhat.com> 2.2.0-11
- Updated "Obsoletes: glut" to be "Obsoletes: glut <= 3.7" and
  "Obsoletes: glut-devel" to be "Obsoletes: glut-devel <= 3.7" as per
  suggestion from Matthias Saou in comment #14 of bug (#107228)

* Sun Mar  7 2004 Mike A. Harris <mharris@redhat.com>
- Made "glut-devel" virtual provides be "glut-devel = 3.7"

* Sun Mar  7 2004 Mike A. Harris <mharris@redhat.com> 2.2.0-10
- Initial Red Hat packaging created by taking the ATrpms src.rpm package from
  http://tinyurl.com/2goog as suggested in bugzilla bug (#107228)
- Bumped the Release field to "10" so our package is newer when people
  upgrade to it, as requested in bug (#107228)
- Removed redundant version/release macros from top of specfile
- Versioned buildroot directory
- Add --enable-warnings arg to ./configure script
- Add HTML documentation to main package
- Made "glut" virtual provides be "glut = 3.7"
- Do not include *.la files

* Sat Feb 21 2004 Axel Thimm <Axel.Thimm@physik.fu-berlin.de> 2.2.0
- Added glut compatibility provides.
- Moved *.so to devel package.

* Tue Jan 13 2004 Andy Piper <andy.piper@freeuk.com>
- updated to freeglut-2.2.0
- fixed library install

* Fri Nov 14 2003 Andy Piper <andy.piper@freeuk.com>
- updated for freeglut-2.0.1

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Jun  3 2003 Mike A. Harris <mharris@www.linux.org.uk> 1.3-0.20020125.3
- Add BuildRequires on /sbin/ldconfig
- Change ldconfig call to explicit /sbin/ldconfig

* Sun Jun  1 2003 Mike A. Harris <mharris@www.linux.org.uk> 1.3-0.20020125.2
- Oddly, when I build this on my workstation, it only builds static libs, but
  when I build it in the buildsystem it builds shared and static libs.  Must
  be a twilight zone thing going on.  Add shared libs to file lists.

* Sat May 31 2003 Mike A. Harris <mharris@www.linux.org.uk> 1.3-0.20020125.1
- Added -L/usr/X11R6/%{_lib} configure script invocation and CFLAGS so lib64
  is treated properly on x86_64/ppc64/s390x architectures
  
* Fri May 30 2003 Mike A. Harris <mharris@www.linux.org.uk> 1.3-0.20020125.0
- Initial build.
